/*
 * This file is part of rasdaman community.
 *
 * Rasdaman community is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Rasdaman community is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU  General Public License for more details.
 *
 * You should have received a copy of the GNU  General Public License
 * along with rasdaman community.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright 2003 - 2014 Peter Baumann / rasdaman GmbH.
 *
 * For more information please see <http://www.rasdaman.org>
 * or contact Peter Baumann via <baumann@rasdaman.com>.
 */
package petascope.util.ras;

/**
 * Reference interface for RasQL-related constants
 *
 * @author <a href="mailto:p.campalani@jacobs-university.de">Piero Campalani</a>
 */
public interface RasConstants {

    // Collection of constants for RasQL syntax
    // (update the list keeping alphabetic order)
    public static final String RASQL_ABS               = "abs";
    public static final String RASQL_AND               = "and";
    public static final String RASQL_ASSIGN            = "assign";
    public static final String RASQL_AS                = "AS";
    public static final String RASQL_BIT               = "bit";
    public static final String RASQL_C                 = "c";
    public static final String RASQL_CASE              = "case";
    public static final String RASQL_COMPLEX           = "complex";
    public static final String RASQL_ELSE              = "else";
    public static final String RASQL_ENCODE            = "encode";
    public static final String RASQL_END               = "end";
    public static final String RASQL_EXTEND            = "extend";
    public static final String RASQL_DECODE            = "decode";
    public static final String RASQL_FROM              = "from";
    public static final String RASQL_IN                = "in";
    public static final String RASQL_INV               = "inv_";
    public static final String RASQL_INSERT            = "insert";
    public static final String RASQL_INTO              = "into";
    public static final String RASQL_MARRAY            = "marray";
    public static final String RASQL_NOT               = "not";
    public static final String RASQL_OVERLAY           = "overlay";
    public static final String RASQL_OID               = "oid";
    public static final String RASQL_POW               = "pow";
    public static final String RASQL_SCALE             = "scale";
    public static final String RASQL_SDOM              = "sdom";
    public static final String RASQL_SELECT            = "select";
    public static final String RASQL_SET               = "set";
    public static final String RASQL_SQRT              = "sqrt";
    public static final String RASQL_THEN              = "then";
    public static final String RASQL_UPDATE            = "update";
    public static final String RASQL_VALUES            = "values";
    public static final String RASQL_VERSION           = "version";
    public static final String RASQL_WHEN              = "when";
    public static final String RASQL_WHERE             = "where";
}
