/*
 * This file is part of rasdaman community.
 *
 * Rasdaman community is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Rasdaman community is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with rasdaman community.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright 2003 - 2012 Peter Baumann / rasdaman GmbH.
 *
 * For more information please see <http://www.rasdaman.org>
 * or contact Peter Baumann via <baumann@rasdaman.com>.
 */
package secore.util;

/**
 * Global constants.
 *
 * @author Dimitar Misev
 */
public interface Constants {

    String WEB_APPLICATION_NAME = "def";
    String URN_SEPARATOR = ":";
    String URN_PREFIX = "urn:ogc:def";
    String URN_SHORT_PREFIX = "urn:ogc";
    String URN_URI_PREFIX = "urn:";
    String REST_SEPARATOR = "/";
    String HTTP_PREFIX = "http://";
    String LOCAL_URI = "local/";
    String JAVA_SCRIPT_ENGINE = "JavaScript";

    String EMPTY = "";
    String ZERO = "0";

    String PAIR_SEPARATOR = "&";
    String QUERY_SEPARATOR = "?";
    String FRAGMENT_SEPARATOR = "#";
    String KEY_VALUE_SEPARATOR = "=";

    String NEW_LINE = "\n";
    String COMMA = ",";
    String WHITESPACE = " ";
    char NEW_LINE_CHAR = '\n';
    String COLLECTION_NAME = "__COLLECTION__";

    String XML_DECL = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>\n";
    String COPYRIGHT = "Generated by SECORE. Copyright (c) 2011 Peter Baumann, Dimitar Misev, Mihaela Rusu @ Jacobs University.";
    String EMPTY_XML = "<empty/>";

    String GMD_PREFIX = "gmd";
    String GMD_NAMESPACE = "http://www.isotc211.org/2005/gmd";
    String GCO_PREFIX = "gco";
    String GCO_NAMESPACE = "http://www.isotc211.org/2005/gco";
    String CRSNTS_PREFIX = "crs-nts";
    String CRSNTS_NAMESPACE = "http://www.opengis.net/crs-nts/1.0";


    String ADMIN_FILE = "browse.jsp";
    String SYNONYMS_FILE = "synonyms.jsp";
    String INDEX_FILE = "index.jsp";
    String DEMO_FILE = "demo.jsp";
    String UPDATEDB_FILE = "updatedb.jsp";
    String IOUTIL_CLASS = "IOUtil.class";

    // list of potential GML namespaces, they vary between EPSG db versions
    String[] GML_NAMESPACES = {
        "http://www.opengis.net/gml",
        "http://www.opengis.net/gml/3.2"
    };
    String NAMESPACE_GML = StringUtil.getGmlNamespace();
    String NAMESPACE_XLINK = "http://www.w3.org/1999/xlink";
    String NAMESPACE_EPSG = "urn:x-ogp:spec:schema-xsd:EPSG:0.1:dataset";

    String NAME_LABEL = "name";
    String IDENTIFIER_LABEL = "identifier";
    String IDENTIFIERS_LABEL = "identifiers";
    String METADATA_LABEL = "metaDataProperty";

    // constants related to the secore database location
    String DBPATH_BASEX_PROPERTY = "dbpath";
    String DEFAULT_SECORE_DB_DIR = "nullBaseXData";
    String DEFAULT_SECORE_DB_DIR_HOME = "BaseXData";
    String DEFAULT_SECORE_DB_DIR_OTHER = "data";
    String DEFAULT_SECORE_DB_DIR_PREFIX = "DBPATH: ";
    String SECORE_DB_DIR = "secoredb";

    // URL to the EPSG registry website
    long MAX_UPLOAD_FILE_SIZE = 100000000;
    String UTF8_ENCODING = "UTF-8";
    int DEFAULT_HTTP_ERROR_CODE = 500;

    // Constant for version for the collectionName (e.g: gml_8.5)
    String VERSION_NUMBER = "VERSION_NUMBER";
    String VERSION = "version";
    String COLLECTION = "collection";
}
